Subject: Re: bug#53197: wpewebkit: Fails to build (a required package was not found)

From: Leo Famulari <[email-masked]>
Date: Wed, 12 Jan 2022 13:28:04 -0500

On Wed, Jan 12, 2022 at 08:28:13AM +0100, Liliana Marie Prikler wrote:
> wpewebkit seems to have been ignored in the core-updates merge.  It
> still uses old-style inputs and (more importantly) libsoup now refers
> to libsoup 3.0 which is incompatible with most packages that depend on
> the old version.  libsoup-minimal-2 should be used in its place.

This is kind of off-topic for your message, but I pay attention to
webkitgtk because it's security-critical for the Epiphany "gnome-web"
browser and GNOME overall, but I never looked at wpewebkit.

It doesn't have any dependents in Guix. It was commented-out in the
inputs of gst-plugins-bad, but there was no contextual explanation in
the surrounding code or commit message, so I removed the comment.

The latest wpewebkit release is 2.34.3, according to this page:

https://wpewebkit.org/code/

It seems to be share a release pattern with webkitgtk:

https://webkitgtk.org/

I suggest we try to keep this package up to date or remove it from Guix.